dnl check for a sa_len member in struct sockaddr
dnl taken and adapted from libpcap
dnl $Id: sa_len.m4,v 1.1.1.1 2002/08/18 17:28:56 aeneas Exp $
AC_DEFUN(AC_STRUCT_SA_LEN,
[AC_CACHE_CHECK([for sa_len in struct sockaddr], ac_cv_struct_sa_len,
[AC_TRY_COMPILE([
#include <sys/types.h>
#include <sys/socket.h>
 ],[
struct sockaddr s; s.sa_len;
 ], ac_cv_struct_sa_len=yes, ac_cv_struct_sa_len=no)])
if test $ac_cv_struct_sa_len = yes; then
  AC_DEFINE(HAVE_SA_LEN,,[define if struct sockaddr has a sa_len member])
fi
])
