/*
 * Copyright (c) 2002, Stefan Farfeleder <e0026813@stud3.tuwien.ac.at>
 * $Id: game.h,v 1.2 2002/09/10 15:50:05 stefan Exp $
 */
#ifndef JFK_GAME_H
#define JFK_GAME_H

#include <string>

namespace JFK
{

const std::string   CMD_LEVEL_TRANSFERRED("lt");

const std::string   CMD_MOVE_FORWARD("mf");
const std::string   CMD_MOVE_BACK("mb");
const std::string   CMD_MOVE_STOP("ms");
const std::string   CMD_TURN_LEFT("tl");
const std::string   CMD_TURN_RIGHT("tr");
const std::string   CMD_TURN_STOP("ts");
const std::string   CMD_FIRE_START("fs");
const std::string   CMD_FIRE_STOP("fp");        /* fs is alread used */
const std::string   CMD_CHANGE_WEAPON("cw");
const std::string   CMD_MSG("m");

const std::string   CMD_NEW("n");
const std::string   CMD_UPDATE("u");
const std::string   CMD_DELETE("d");

const double        GAME_SPEED = 0.00006;

const char* const   DEFAULT_PORT = "2487";
}

#endif
