#ifndef JFK_ITEM_H
#define JFK_ITEM_H

#include <string>

#include "object.h"

namespace JFK
{

enum
{   
    MEDIKIT_20,
    MEDIKIT_50,
    MUNITION_50,
    MUNITION_100,
    GRAVE,
    ALK,
    MAX_ITEM
};

class item : public virtual object
{
public:
    item(int itype);

    std::string tostring() const;
    void        fromstring(const std::string& s);

    std::string classname() const;

    int         type;   /* Type */
};

}

#endif
