/* 
 * Copyright (c) 2002, Stefan Farfeleder <e0026813@stud3.tuwien.ac.at>
 * $Id: missing.h,v 1.2 2002/09/05 22:20:32 stefan Exp $
 */
#ifndef JFK_MISSING_H
#define JFK_MISSING_H

#ifdef __cplusplus
extern "C" {
#endif

#if defined(HAVE_CONFIG_H)
#include "config.h"
#endif

#if defined(HAVE_SYS_TYPES_H)
#include <sys/types.h>
#endif
#if defined(HAVE_SYS_SOCKET_H)
#include <sys/socket.h>
#endif

#if !defined(HAVE_INET_NTOP)
const char *inet_ntop(int, const void *, char *, socklen_t);
#endif
#if !defined(HAVE_INET_PTON)
int inet_pton(int af, const char *src, void *dst);
#endif

#ifndef IN_EXPERIMENTAL
#define IN_EXPERIMENTAL(i)  ((((long)(i)) & 0xe0000000) == 0xe0000000)
#endif

#ifndef IN_LOOPBACKNET
#define IN_LOOPBACKNET      127
#endif

#if !defined(EAFNOSUPPORT) && defined(_WIN32)
#define EAFNOSUPPORT        WSAEAFNOSUPPORT
#endif

#ifdef __cplusplus
}
#endif

#endif
