#ifndef JFK_OBSTACLE_H
#define JFK_OBSTACLE_H

#include <string>
#include <vector>

#include "object.h"

namespace JFK
{

enum    /* values for obstacle.type */
{
    OBS_HOUSE1,
    OBS_WALL1,
    OBS_BUSH1,
    OBS_TREE1,
    OBS_STONE1,
    OBS_LAKE1,
    OBS_BOUNDINGBOX     /* bounding box for jailing all obstacles */
};

class obstacle : public virtual object
{
public:
    obstacle(int itype);

    std::string tostring() const;
    void        fromstring(const std::string& s);

    std::string classname() const;
    
    int         type;           /* whether this obstacle is a tree, a
                                   house... */
};

}

#endif
