#ifndef JFK_PERSON_H
#define JFK_PERSON_H

#include <string>

#include "object.h"
#include "weapon.h"

namespace JFK
{

class person : public virtual object
{
public:
    person(const std::string& iname);

    std::string tostring() const;
    void        fromstring(const std::string& s);

    void        move(double t);
    
    std::string classname() const;

    std::string name;
    int         health;
    int         ammo[MAX_WEAPON];
    bool        hasweapon[MAX_WEAPON];
    int         curweapon;
    bool        blocked;    /* can't move at the moment */
    int         score;      /* you get points for killings! */
    int         deaths;     /* how often this person died */
};

}

#endif
