#ifndef JFK_WEAPON_H
#define JFK_WEAPON_H

#include <string>

#include "object.h"

namespace JFK
{

enum
{
    SHOTGUN,
    REVOLVER,
    MACHINEGUN,
    ROCKETLAUNCHER,
    GRENADE,
    WATERGUN,
    MAX_WEAPON
};

class weapon : public virtual object
{
public:
    weapon(int itype);
 
    std::string tostring() const;
    void        fromstring(const std::string& s);

    std::string classname() const;

    int         type;   /* Type */
};

}

#endif
