#ifndef JFK_WEAPON_S_H
#define JFK_WEAPON_S_H

#include <string>

#include "object_s.h"
#include "weapon.h"


namespace JFK
{

namespace server
{

class weapon : public virtual JFK::server::object, public virtual JFK::weapon
{
public:
    weapon(int itype);

    object*     clone() const { return new weapon(*this); }
    void        assign(const object* o);

    std::string diffstring(const object* objobj) const;
    void        fromstring(const std::string& s);

    object*     action(double) { return NULL; }

    void        delegate_collision(object* obj) const;
    void        collide_with_person(const person*);
};

}

}

#endif
