/*
 *  $Id: output_null.cc,v 1.3 2002/09/10 09:58:39 stefan Exp $
 *  Copyright (c) 2002, Dominik Schnitzer <dominik@schnitzer.at>
 *
 *  JFK - JFK Fucking Killerz, a massive multiplayer 2d shoot'em-up game
 *  http://relax.ath.cx/jfk/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <string>
#include "output.h"
#include "output_null.h"

using namespace std;
using namespace JFK::client;


output_null::output_null()
{
}


void
output_null::show()
{
    return;
}


image
output_null::load_image(string section, string file, int nr, bool hw)
{
    static char dummy;

    if (nr > 1)
        return NULL;
    
    do_something(section.c_str(), file.c_str(), nr, hw);
    return &dummy;
}


void
output_null::free_image(image img)
{
    do_something(img);
    return;
}


int
output_null::get_image_width(image img)
{
    if (img != 0)
        return 1;
    else
        return 0;
}


int
output_null::get_image_height(image img)
{
    if (img != 0)
        return 1;
    else
        return 0;
}


void
output_null::draw_image(image img, int x, int y)
{
    do_something(img, x, y);
    return;
}


void
output_null::draw_image_ext(image img, int sx, int sy, int sw, int sh,
    int dx, int dy, int dw, int dh)
{
    do_something(img, sx, sy, sw, sh, dx, dy, dw, dh);
    return;
}


void
output_null::set_cliprect(int x, int y, int w, int h)
{
    do_something(x, y, w, h);
    return;
}


void
output_null::poll_events(event_t *data)
{
    for (int i = 0; i < EVENT_MAX; i++)
        data->ev[i] = EVENTSTATE_NONE;
    data->msg = "";
}

int
output_null::get_height()
{
    return 1;
}


int
output_null::get_width()
{
    return 1;
}

void
output_null::do_something(...)
{
    
}
