/*
 *  $Id: output_null.h,v 1.3 2002/09/09 22:22:11 stefan Exp $
 *  Copyright (c) 2002, Dominik Schnitzer <dominik@schnitzer.at>
 *
 *  JFK - JFK Fucking Killerz, a massive multiplayer 2d shoot'em-up game
 *  http://relax.ath.cx/jfk/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef JFK_OUTPUT_NULL_H
#define JFK_OUTPUT_NULL_H

#include <string>
#include "output.h"

using namespace std;

namespace JFK
{
    namespace client
    {
        /* A NULL output plugin for jfk - just for fun :-) - it does nothing */
        class output_null : public output
        {
        public:
            output_null();

            void    show();
            image   load_image(string section, string file, int nr = 0,
                        bool hw = false);
            void    free_image(image img);
            int     get_image_width(image img);
            int     get_image_height(image img);
            void    draw_image(image img, int x, int y);
            void    draw_image_ext(image img, int sx, int sy, int sw, int sh,
                        int dx, int dy, int dw, int dh);
            void    set_cliprect(int x, int y, int w, int h);
            void    poll_events(event_t *data);
            int     get_height();
            int     get_width();
            
        private:
            /* Pseudo function to suppress compilation warnings of unused 
             * parameters */
            void    do_something(...);
        };
    }
}

#endif /* JFK_OUTPUT_NULL */
